# EventHandler (SubServers.Host)

net.ME1312.SubServers.Host.Library.Event

## Annotation Type EventHandler

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface EventHandler

EventHandler Method Annotation
Methods annotated by this and registered in SubAPI will be run when the event is called

See Also:
  `SubAPI.addListener(SubPluginInfo, Object...)`

### Optional Element Summary

Optional Elements
`short` `order` Defines when this event should run
`boolean` `override` If this Event should be run even if it's been cancelled

### Element Detail

#### order

    public abstract short order

Defines when this event should run

Returns:
  Event Order
See Also:
  `EventOrder`

Default:
  0

#### override

    public abstract boolean override

If this Event should be run even if it's been cancelled

Returns:
  Override Status

Default:
  false